package workloadforecast

class ActivityForecast {
	User user
	ActivityType activityType
	Calendar calendar
	int activityForecastId
	String client
	String comment
	float probability
	float workLoadPercentage
	float coh
	static optionals = ["comment"]
	
    static constraints = {
		client(maxLength:100, blank:false)
		comment(maxLength:100, blank:false)
		probability(max:1.00f, blank:false)
		coh(min:0f, max:999.99f, blank:false)
		activityForecastId(min:100001,max:999999)
    }
}
