<%@ page import="workloadforecast.ActivityForecast" %>



<div class="fieldcontain ${hasErrors(bean: activityForecastInstance, field: 'client', 'error')} required">
	<label for="client">
		<g:message code="activityForecast.client.label" default="Client" />
		<span class="required-indicator">*</span>
	</label>
	<g:textField name="client" required="" value="${activityForecastInstance?.client}"/>
</div>

<div class="fieldcontain ${hasErrors(bean: activityForecastInstance, field: 'comment', 'error')} required">
	<label for="comment">
		<g:message code="activityForecast.comment.label" default="Comment" />
		<span class="required-indicator">*</span>
	</label>
	<g:textField name="comment" required="" value="${activityForecastInstance?.comment}"/>
</div>

<div class="fieldcontain ${hasErrors(bean: activityForecastInstance, field: 'probability', 'error')} required">
	<label for="probability">
		<g:message code="activityForecast.probability.label" default="Probability" />
		<span class="required-indicator">*</span>
	</label>
	<g:field name="probability" value="${fieldValue(bean: activityForecastInstance, field: 'probability')}" required=""/>
</div>

<div class="fieldcontain ${hasErrors(bean: activityForecastInstance, field: 'coh', 'error')} required">
	<label for="coh">
		<g:message code="activityForecast.coh.label" default="Coh" />
		<span class="required-indicator">*</span>
	</label>
	<g:field name="coh" value="${fieldValue(bean: activityForecastInstance, field: 'coh')}" required=""/>
</div>

<div class="fieldcontain ${hasErrors(bean: activityForecastInstance, field: 'activityForecastId', 'error')} required">
	<label for="activityForecastId">
		<g:message code="activityForecast.activityForecastId.label" default="Activity Forecast Id" />
		<span class="required-indicator">*</span>
	</label>
	<g:field name="activityForecastId" type="number" min="100001" max="999999" value="${activityForecastInstance.activityForecastId}" required=""/>
</div>

<div class="fieldcontain ${hasErrors(bean: activityForecastInstance, field: 'activityType', 'error')} required">
	<label for="activityType">
		<g:message code="activityForecast.activityType.label" default="Activity Type" />
		<span class="required-indicator">*</span>
	</label>
	<g:select id="activityType" name="activityType.id" from="${workloadforecast.ActivityType.list()}" optionKey="id" required="" value="${activityForecastInstance?.activityType?.id}" class="many-to-one"/>
</div>

<div class="fieldcontain ${hasErrors(bean: activityForecastInstance, field: 'calendar', 'error')} required">
	<label for="calendar">
		<g:message code="activityForecast.calendar.label" default="Calendar" />
		<span class="required-indicator">*</span>
	</label>
	<g:select id="calendar" name="calendar.id" from="${workloadforecast.Calendar.list()}" optionKey="id" required="" value="${activityForecastInstance?.calendar?.id}" class="many-to-one"/>
</div>

<div class="fieldcontain ${hasErrors(bean: activityForecastInstance, field: 'user', 'error')} required">
	<label for="user">
		<g:message code="activityForecast.user.label" default="User" />
		<span class="required-indicator">*</span>
	</label>
	<g:select id="user" name="user.id" from="${workloadforecast.User.list()}" optionKey="id" required="" value="${activityForecastInstance?.user?.id}" class="many-to-one"/>
</div>

<div class="fieldcontain ${hasErrors(bean: activityForecastInstance, field: 'workLoadPercentage', 'error')} required">
	<label for="workLoadPercentage">
		<g:message code="activityForecast.workLoadPercentage.label" default="Work Load Percentage" />
		<span class="required-indicator">*</span>
	</label>
	<g:field name="workLoadPercentage" value="${fieldValue(bean: activityForecastInstance, field: 'workLoadPercentage')}" required=""/>
</div>

