
<%@ page import="workloadforecast.ActivityForecast" %>
<!DOCTYPE html>
<html>
	<head>
		<meta name="layout" content="main">
		<g:set var="entityName" value="${message(code: 'activityForecast.label', default: 'ActivityForecast')}" />
		<title><g:message code="default.show.label" args="[entityName]" /></title>
	</head>
	<body>
		<a href="#show-activityForecast" class="skip" tabindex="-1"><g:message code="default.link.skip.label" default="Skip to content&hellip;"/></a>
		<div class="nav" role="navigation">
			<ul>
				<li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
				<li><g:link class="list" action="list"><g:message code="default.list.label" args="[entityName]" /></g:link></li>
				<li><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:link></li>
			</ul>
		</div>
		<div id="show-activityForecast" class="content scaffold-show" role="main">
			<h1><g:message code="default.show.label" args="[entityName]" /></h1>
			<g:if test="${flash.message}">
			<div class="message" role="status">${flash.message}</div>
			</g:if>
			<ol class="property-list activityForecast">
			
				<g:if test="${activityForecastInstance?.client}">
				<li class="fieldcontain">
					<span id="client-label" class="property-label"><g:message code="activityForecast.client.label" default="Client" /></span>
					
						<span class="property-value" aria-labelledby="client-label"><g:fieldValue bean="${activityForecastInstance}" field="client"/></span>
					
				</li>
				</g:if>
			
				<g:if test="${activityForecastInstance?.comment}">
				<li class="fieldcontain">
					<span id="comment-label" class="property-label"><g:message code="activityForecast.comment.label" default="Comment" /></span>
					
						<span class="property-value" aria-labelledby="comment-label"><g:fieldValue bean="${activityForecastInstance}" field="comment"/></span>
					
				</li>
				</g:if>
			
				<g:if test="${activityForecastInstance?.probability}">
				<li class="fieldcontain">
					<span id="probability-label" class="property-label"><g:message code="activityForecast.probability.label" default="Probability" /></span>
					
						<span class="property-value" aria-labelledby="probability-label"><g:fieldValue bean="${activityForecastInstance}" field="probability"/></span>
					
				</li>
				</g:if>
			
				<g:if test="${activityForecastInstance?.coh}">
				<li class="fieldcontain">
					<span id="coh-label" class="property-label"><g:message code="activityForecast.coh.label" default="Coh" /></span>
					
						<span class="property-value" aria-labelledby="coh-label"><g:fieldValue bean="${activityForecastInstance}" field="coh"/></span>
					
				</li>
				</g:if>
			
				<g:if test="${activityForecastInstance?.activityForecastId}">
				<li class="fieldcontain">
					<span id="activityForecastId-label" class="property-label"><g:message code="activityForecast.activityForecastId.label" default="Activity Forecast Id" /></span>
					
						<span class="property-value" aria-labelledby="activityForecastId-label"><g:fieldValue bean="${activityForecastInstance}" field="activityForecastId"/></span>
					
				</li>
				</g:if>
			
				<g:if test="${activityForecastInstance?.activityType}">
				<li class="fieldcontain">
					<span id="activityType-label" class="property-label"><g:message code="activityForecast.activityType.label" default="Activity Type" /></span>
					
						<span class="property-value" aria-labelledby="activityType-label"><g:link controller="activityType" action="show" id="${activityForecastInstance?.activityType?.id}">${activityForecastInstance?.activityType?.encodeAsHTML()}</g:link></span>
					
				</li>
				</g:if>
			
				<g:if test="${activityForecastInstance?.calendar}">
				<li class="fieldcontain">
					<span id="calendar-label" class="property-label"><g:message code="activityForecast.calendar.label" default="Calendar" /></span>
					
						<span class="property-value" aria-labelledby="calendar-label"><g:link controller="calendar" action="show" id="${activityForecastInstance?.calendar?.id}">${activityForecastInstance?.calendar?.encodeAsHTML()}</g:link></span>
					
				</li>
				</g:if>
			
				<g:if test="${activityForecastInstance?.user}">
				<li class="fieldcontain">
					<span id="user-label" class="property-label"><g:message code="activityForecast.user.label" default="User" /></span>
					
						<span class="property-value" aria-labelledby="user-label"><g:link controller="user" action="show" id="${activityForecastInstance?.user?.id}">${activityForecastInstance?.user?.encodeAsHTML()}</g:link></span>
					
				</li>
				</g:if>
			
				<g:if test="${activityForecastInstance?.workLoadPercentage}">
				<li class="fieldcontain">
					<span id="workLoadPercentage-label" class="property-label"><g:message code="activityForecast.workLoadPercentage.label" default="Work Load Percentage" /></span>
					
						<span class="property-value" aria-labelledby="workLoadPercentage-label"><g:fieldValue bean="${activityForecastInstance}" field="workLoadPercentage"/></span>
					
				</li>
				</g:if>
			
			</ol>
			<g:form>
				<fieldset class="buttons">
					<g:hiddenField name="id" value="${activityForecastInstance?.id}" />
					<g:link class="edit" action="edit" id="${activityForecastInstance?.id}"><g:message code="default.button.edit.label" default="Edit" /></g:link>
					<g:actionSubmit class="delete" action="delete" value="${message(code: 'default.button.delete.label', default: 'Delete')}" onclick="return confirm('${message(code: 'default.button.delete.confirm.message', default: 'Are you sure?')}');" />
				</fieldset>
			</g:form>
		</div>
	</body>
</html>
