<%@ page import="workloadforecast.Calendar" %>



<div class="fieldcontain ${hasErrors(bean: calendarInstance, field: 'year', 'error')} required">
	<label for="year">
		<g:message code="calendar.year.label" default="Year" />
		<span class="required-indicator">*</span>
	</label>
	<g:field name="year" type="number" min="2000" max="2050" value="${calendarInstance.year}" required=""/>
</div>

<div class="fieldcontain ${hasErrors(bean: calendarInstance, field: 'week', 'error')} required">
	<label for="week">
		<g:message code="calendar.week.label" default="Week" />
		<span class="required-indicator">*</span>
	</label>
	<g:field name="week" type="number" min="1" max="54" value="${calendarInstance.week}" required=""/>
</div>

<div class="fieldcontain ${hasErrors(bean: calendarInstance, field: 'activityforecast', 'error')} ">
	<label for="activityforecast">
		<g:message code="calendar.activityforecast.label" default="Activityforecast" />
		
	</label>
	
<ul class="one-to-many">
<g:each in="${calendarInstance?.activityforecast?}" var="a">
    <li><g:link controller="activityForecast" action="show" id="${a.id}">${a?.encodeAsHTML()}</g:link></li>
</g:each>
<li class="add">
<g:link controller="activityForecast" action="create" params="['calendar.id': calendarInstance?.id]">${message(code: 'default.add.label', args: [message(code: 'activityForecast.label', default: 'ActivityForecast')])}</g:link>
</li>
</ul>

</div>

