
<%@ page import="workloadforecast.Calendar" %>
<!DOCTYPE html>
<html>
	<head>
		<meta name="layout" content="main">
		<g:set var="entityName" value="${message(code: 'calendar.label', default: 'Calendar')}" />
		<title><g:message code="default.list.label" args="[entityName]" /></title>
	</head>
	<body>
		<a href="#list-calendar" class="skip" tabindex="-1"><g:message code="default.link.skip.label" default="Skip to content&hellip;"/></a>
		<div class="nav" role="navigation">
			<ul>
				<li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
				<li><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:link></li>
			</ul>
		</div>
		<div id="list-calendar" class="content scaffold-list" role="main">
			<h1><g:message code="default.list.label" args="[entityName]" /></h1>
			<g:if test="${flash.message}">
			<div class="message" role="status">${flash.message}</div>
			</g:if>
			<table>
				<thead>
					<tr>
					
						<g:sortableColumn property="year" title="${message(code: 'calendar.year.label', default: 'Year')}" />
					
						<g:sortableColumn property="week" title="${message(code: 'calendar.week.label', default: 'Week')}" />
					
					</tr>
				</thead>
				<tbody>
				<g:each in="${calendarInstanceList}" status="i" var="calendarInstance">
					<tr class="${(i % 2) == 0 ? 'even' : 'odd'}">
					
						<td><g:link action="show" id="${calendarInstance.id}">${fieldValue(bean: calendarInstance, field: "year")}</g:link></td>
					
						<td>${fieldValue(bean: calendarInstance, field: "week")}</td>
					
					</tr>
				</g:each>
				</tbody>
			</table>
			<div class="pagination">
				<g:paginate total="${calendarInstanceTotal}" />
			</div>
		</div>
	</body>
</html>
