
<%@ page import="workloadforecast.ActivityForecast" %>
<!DOCTYPE html>
<html>
	<head>
		<meta name="layout" content="main">
		<g:set var="entityName" value="${message(code: 'activityForecast.label', default: 'ActivityForecast')}" />
		<title><g:message code="default.list.label" args="[entityName]" /></title>
		<br>
		<span class="menuButton">
			<g:link action="search"> Search for Client </g:link>
		</span>
	</head>
	<body>
		<a href="#list-activityForecast" class="skip" tabindex="-1"><g:message code="default.link.skip.label" default="Skip to content&hellip;"/></a>
		<div class="nav" role="navigation">
			<ul>
				<li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
				<li><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:link></li>
			</ul>
		</div>
		<div id="list-activityForecast" class="content scaffold-list" role="main">
			<h1><g:message code="default.list.label" args="[entityName]" /></h1>
			<g:if test="${flash.message}">
			<div class="message" role="status">${flash.message}</div>
			</g:if>
			<table>
				<thead>
					<tr>
					
						<g:sortableColumn property="client" title="${message(code: 'activityForecast.client.label', default: 'Client')}" />
					
						<g:sortableColumn property="comment" title="${message(code: 'activityForecast.comment.label', default: 'Comment')}" />
					
						<g:sortableColumn property="probability" title="${message(code: 'activityForecast.probability.label', default: 'Probability')}" />
					
						<g:sortableColumn property="coh" title="${message(code: 'activityForecast.coh.label', default: 'Coh')}" />
					
						<g:sortableColumn property="activityForecastId" title="${message(code: 'activityForecast.activityForecastId.label', default: 'Activity Forecast Id')}" />
					
						<th><g:message code="activityForecast.activityType.label" default="Activity Type" /></th>
					
					</tr>
				</thead>
				<tbody>
				<g:each in="${activityForecastInstanceList}" status="i" var="activityForecastInstance">
					<tr class="${(i % 2) == 0 ? 'even' : 'odd'}">
					
						<td><g:link action="show" id="${activityForecastInstance.id}">${fieldValue(bean: activityForecastInstance, field: "client")}</g:link></td>
					
						<td>${fieldValue(bean: activityForecastInstance, field: "comment")}</td>
					
						<td>${fieldValue(bean: activityForecastInstance, field: "probability")}</td>
					
						<td>${fieldValue(bean: activityForecastInstance, field: "coh")}</td>
					
						<td>${fieldValue(bean: activityForecastInstance, field: "activityForecastId")}</td>
					
						<td>${fieldValue(bean: activityForecastInstance, field: "activityType")}</td>
					
					</tr>
				</g:each>
				</tbody>
			</table>
			<div class="pagination">
				<g:paginate total="${activityForecastInstanceTotal}" />
			</div>
		</div>
	</body>
</html>
