<%@ page import="workloadforecast.ActivityType" %>



<div class="fieldcontain ${hasErrors(bean: activityTypeInstance, field: 'activityType', 'error')} required">
	<label for="activityType">
		<g:message code="activityType.activityType.label" default="Activity Type" />
		<span class="required-indicator">*</span>
	</label>
	<g:textField name="activityType" required="" value="${activityTypeInstance?.activityType}"/>
</div>

<div class="fieldcontain ${hasErrors(bean: activityTypeInstance, field: 'activityId', 'error')} required">
	<label for="activityId">
		<g:message code="activityType.activityId.label" default="Activity Id" />
		<span class="required-indicator">*</span>
	</label>
	<g:field name="activityId" type="number" min="101" max="999" value="${activityTypeInstance.activityId}" required=""/>
</div>

<div class="fieldcontain ${hasErrors(bean: activityTypeInstance, field: 'activityforecasts', 'error')} ">
	<label for="activityforecasts">
		<g:message code="activityType.activityforecasts.label" default="Activityforecasts" />
		
	</label>
	
<ul class="one-to-many">
<g:each in="${activityTypeInstance?.activityforecasts?}" var="a">
    <li><g:link controller="activityForecast" action="show" id="${a.id}">${a?.encodeAsHTML()}</g:link></li>
</g:each>
<li class="add">
<g:link controller="activityForecast" action="create" params="['activityType.id': activityTypeInstance?.id]">${message(code: 'default.add.label', args: [message(code: 'activityForecast.label', default: 'ActivityForecast')])}</g:link>
</li>
</ul>

</div>

