
<%@ page import="workloadforecast.ActivityType" %>
<!DOCTYPE html>
<html>
	<head>
		<meta name="layout" content="main">
		<g:set var="entityName" value="${message(code: 'activityType.label', default: 'ActivityType')}" />
		<title><g:message code="default.show.label" args="[entityName]" /></title>
	</head>
	<body>
		<a href="#show-activityType" class="skip" tabindex="-1"><g:message code="default.link.skip.label" default="Skip to content&hellip;"/></a>
		<div class="nav" role="navigation">
			<ul>
				<li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
				<li><g:link class="list" action="list"><g:message code="default.list.label" args="[entityName]" /></g:link></li>
				<li><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:link></li>
			</ul>
		</div>
		<div id="show-activityType" class="content scaffold-show" role="main">
			<h1><g:message code="default.show.label" args="[entityName]" /></h1>
			<g:if test="${flash.message}">
			<div class="message" role="status">${flash.message}</div>
			</g:if>
			<ol class="property-list activityType">
			
				<g:if test="${activityTypeInstance?.activityType}">
				<li class="fieldcontain">
					<span id="activityType-label" class="property-label"><g:message code="activityType.activityType.label" default="Activity Type" /></span>
					
						<span class="property-value" aria-labelledby="activityType-label"><g:fieldValue bean="${activityTypeInstance}" field="activityType"/></span>
					
				</li>
				</g:if>
			
				<g:if test="${activityTypeInstance?.activityId}">
				<li class="fieldcontain">
					<span id="activityId-label" class="property-label"><g:message code="activityType.activityId.label" default="Activity Id" /></span>
					
						<span class="property-value" aria-labelledby="activityId-label"><g:fieldValue bean="${activityTypeInstance}" field="activityId"/></span>
					
				</li>
				</g:if>
			
				<g:if test="${activityTypeInstance?.activityforecasts}">
				<li class="fieldcontain">
					<span id="activityforecasts-label" class="property-label"><g:message code="activityType.activityforecasts.label" default="Activityforecasts" /></span>
					
						<g:each in="${activityTypeInstance.activityforecasts}" var="a">
						<span class="property-value" aria-labelledby="activityforecasts-label"><g:link controller="activityForecast" action="show" id="${a.id}">${a?.encodeAsHTML()}</g:link></span>
						</g:each>
					
				</li>
				</g:if>
			
			</ol>
			<g:form>
				<fieldset class="buttons">
					<g:hiddenField name="id" value="${activityTypeInstance?.id}" />
					<g:link class="edit" action="edit" id="${activityTypeInstance?.id}"><g:message code="default.button.edit.label" default="Edit" /></g:link>
					<g:actionSubmit class="delete" action="delete" value="${message(code: 'default.button.delete.label', default: 'Delete')}" onclick="return confirm('${message(code: 'default.button.delete.confirm.message', default: 'Are you sure?')}');" />
				</fieldset>
			</g:form>
		</div>
	</body>
</html>
