
<%@ page import="workloadforecast.Calendar" %>
<!DOCTYPE html>
<html>
	<head>
		<meta name="layout" content="main">
		<g:set var="entityName" value="${message(code: 'calendar.label', default: 'Calendar')}" />
		<title><g:message code="default.show.label" args="[entityName]" /></title>
	</head>
	<body>
		<a href="#show-calendar" class="skip" tabindex="-1"><g:message code="default.link.skip.label" default="Skip to content&hellip;"/></a>
		<div class="nav" role="navigation">
			<ul>
				<li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
				<li><g:link class="list" action="list"><g:message code="default.list.label" args="[entityName]" /></g:link></li>
				<li><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:link></li>
			</ul>
		</div>
		<div id="show-calendar" class="content scaffold-show" role="main">
			<h1><g:message code="default.show.label" args="[entityName]" /></h1>
			<g:if test="${flash.message}">
			<div class="message" role="status">${flash.message}</div>
			</g:if>
			<ol class="property-list calendar">
			
				<g:if test="${calendarInstance?.year}">
				<li class="fieldcontain">
					<span id="year-label" class="property-label"><g:message code="calendar.year.label" default="Year" /></span>
					
						<span class="property-value" aria-labelledby="year-label"><g:fieldValue bean="${calendarInstance}" field="year"/></span>
					
				</li>
				</g:if>
			
				<g:if test="${calendarInstance?.week}">
				<li class="fieldcontain">
					<span id="week-label" class="property-label"><g:message code="calendar.week.label" default="Week" /></span>
					
						<span class="property-value" aria-labelledby="week-label"><g:fieldValue bean="${calendarInstance}" field="week"/></span>
					
				</li>
				</g:if>
			
				<g:if test="${calendarInstance?.activityforecast}">
				<li class="fieldcontain">
					<span id="activityforecast-label" class="property-label"><g:message code="calendar.activityforecast.label" default="Activityforecast" /></span>
					
						<g:each in="${calendarInstance.activityforecast}" var="a">
						<span class="property-value" aria-labelledby="activityforecast-label"><g:link controller="activityForecast" action="show" id="${a.id}">${a?.encodeAsHTML()}</g:link></span>
						</g:each>
					
				</li>
				</g:if>
			
			</ol>
			<g:form>
				<fieldset class="buttons">
					<g:hiddenField name="id" value="${calendarInstance?.id}" />
					<g:link class="edit" action="edit" id="${calendarInstance?.id}"><g:message code="default.button.edit.label" default="Edit" /></g:link>
					<g:actionSubmit class="delete" action="delete" value="${message(code: 'default.button.delete.label', default: 'Delete')}" onclick="return confirm('${message(code: 'default.button.delete.confirm.message', default: 'Are you sure?')}');" />
				</fieldset>
			</g:form>
		</div>
	</body>
</html>
