<%@ page import="workloadforecast.Role" %>



<div class="fieldcontain ${hasErrors(bean: roleInstance, field: 'roleId', 'error')} required">
	<label for="roleId">
		<g:message code="role.roleId.label" default="Role Id" />
		<span class="required-indicator">*</span>
	</label>
	<g:field name="roleId" type="number" min="101" max="999" value="${roleInstance.roleId}" required=""/>
</div>

<div class="fieldcontain ${hasErrors(bean: roleInstance, field: 'roleLevel', 'error')} required">
	<label for="roleLevel">
		<g:message code="role.roleLevel.label" default="Role Level" />
		<span class="required-indicator">*</span>
	</label>
	<g:field name="roleLevel" type="number" min="1" max="6" value="${roleInstance.roleLevel}" required=""/>
</div>

<div class="fieldcontain ${hasErrors(bean: roleInstance, field: 'roleDescription', 'error')} ">
	<label for="roleDescription">
		<g:message code="role.roleDescription.label" default="Role Description" />
		
	</label>
	<g:textField name="roleDescription" value="${roleInstance?.roleDescription}"/>
</div>

<div class="fieldcontain ${hasErrors(bean: roleInstance, field: 'users', 'error')} ">
	<label for="users">
		<g:message code="role.users.label" default="Users" />
		
	</label>
	
<ul class="one-to-many">
<g:each in="${roleInstance?.users?}" var="u">
    <li><g:link controller="user" action="show" id="${u.id}">${u?.encodeAsHTML()}</g:link></li>
</g:each>
<li class="add">
<g:link controller="user" action="create" params="['role.id': roleInstance?.id]">${message(code: 'default.add.label', args: [message(code: 'user.label', default: 'User')])}</g:link>
</li>
</ul>

</div>

