
<%@ page import="workloadforecast.Role" %>
<!DOCTYPE html>
<html>
	<head>
		<meta name="layout" content="main">
		<g:set var="entityName" value="${message(code: 'role.label', default: 'Role')}" />
		<title><g:message code="default.show.label" args="[entityName]" /></title>
	</head>
	<body>
		<a href="#show-role" class="skip" tabindex="-1"><g:message code="default.link.skip.label" default="Skip to content&hellip;"/></a>
		<div class="nav" role="navigation">
			<ul>
				<li><a class="home" href="${createLink(uri: '/')}"><g:message code="default.home.label"/></a></li>
				<li><g:link class="list" action="list"><g:message code="default.list.label" args="[entityName]" /></g:link></li>
				<li><g:link class="create" action="create"><g:message code="default.new.label" args="[entityName]" /></g:link></li>
			</ul>
		</div>
		<div id="show-role" class="content scaffold-show" role="main">
			<h1><g:message code="default.show.label" args="[entityName]" /></h1>
			<g:if test="${flash.message}">
			<div class="message" role="status">${flash.message}</div>
			</g:if>
			<ol class="property-list role">
			
				<g:if test="${roleInstance?.roleId}">
				<li class="fieldcontain">
					<span id="roleId-label" class="property-label"><g:message code="role.roleId.label" default="Role Id" /></span>
					
						<span class="property-value" aria-labelledby="roleId-label"><g:fieldValue bean="${roleInstance}" field="roleId"/></span>
					
				</li>
				</g:if>
			
				<g:if test="${roleInstance?.roleLevel}">
				<li class="fieldcontain">
					<span id="roleLevel-label" class="property-label"><g:message code="role.roleLevel.label" default="Role Level" /></span>
					
						<span class="property-value" aria-labelledby="roleLevel-label"><g:fieldValue bean="${roleInstance}" field="roleLevel"/></span>
					
				</li>
				</g:if>
			
				<g:if test="${roleInstance?.roleDescription}">
				<li class="fieldcontain">
					<span id="roleDescription-label" class="property-label"><g:message code="role.roleDescription.label" default="Role Description" /></span>
					
						<span class="property-value" aria-labelledby="roleDescription-label"><g:fieldValue bean="${roleInstance}" field="roleDescription"/></span>
					
				</li>
				</g:if>
			
				<g:if test="${roleInstance?.users}">
				<li class="fieldcontain">
					<span id="users-label" class="property-label"><g:message code="role.users.label" default="Users" /></span>
					
						<g:each in="${roleInstance.users}" var="u">
						<span class="property-value" aria-labelledby="users-label"><g:link controller="user" action="show" id="${u.id}">${u?.encodeAsHTML()}</g:link></span>
						</g:each>
					
				</li>
				</g:if>
			
			</ol>
			<g:form>
				<fieldset class="buttons">
					<g:hiddenField name="id" value="${roleInstance?.id}" />
					<g:link class="edit" action="edit" id="${roleInstance?.id}"><g:message code="default.button.edit.label" default="Edit" /></g:link>
					<g:actionSubmit class="delete" action="delete" value="${message(code: 'default.button.delete.label', default: 'Delete')}" onclick="return confirm('${message(code: 'default.button.delete.confirm.message', default: 'Are you sure?')}');" />
				</fieldset>
			</g:form>
		</div>
	</body>
</html>
